Повторяющиеся кампании

GET https://pushda.ru/api/recurring-campaigns/
curl --request GET \
--url 'https://pushda.ru/api/recurring-campaigns/' \
--header 'Authorization: Bearer {api_key}' \
Параметры Подробности Описание
search Необязательный Строка Строка поиска.
search_by Необязательный Строка Поле для поиска. Допустимые значения: name, title, description, url.
website_id Необязательный Целое
datetime_field Необязательный Строка Допустимые значения: last_run_datetime, next_run_datetime, datetime, last_datetime
datetime_start Необязательный Строка Отфильтруйте результаты, начиная с этой даты-времени. Формат <код>Y-m-d H:i:s.
datetime_end Необязательный Строка Отфильтруйте результаты до этой даты-времени. Формат <код>Y-m-d H:i:s.
order_by Необязательный Строка Поле сортировки. Допустимые значения: recurring_campaign_id, datetime, last_datetime, last_run_datetime, next_run_datetime, name, title, total_campaigns, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications.
order_type Необязательный Строка Направление сортировки: ASC (по возрастанию) или DESC (по убыванию).
page Необязательный Целое Номер страницы результатов. По умолчанию 1.
results_per_page Необязательный Целое Результатов на странице. Допустимые значения: 10, 25, 50, 100, 250, 500, 1000. По умолчанию 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "name": "Example",
            "title": "Sample message",
            "description": "This is coming from the API.",
            "url": "https://example.com",
            "image_url": null,
            "settings": {
                "ttl": 2419200,
                "urgency": "normal",
                "is_silent": 0,
                "is_auto_hide": 0,
                "button_title_1": "",
                "button_url_1": "",
                "button_title_2": "",
                "button_url_2": "",
                "frequency": "daily,
                "time": 10:25,
            },
            "segment": "all",
            "is_enabled": true,
            "total_sent_push_notifications": 0,
            "total_displayed_push_notifications": 0,
            "total_clicked_push_notifications": 0,
            "total_closed_push_notifications": 0,
            "last_sent_datetime": null,
            "last_datetime": null,
            "datetime": "2026-06-25 15:35:31",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pushda.ru/api/recurring-campaigns?page=1",
        "last": "https://pushda.ru/api/recurring-campaigns?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushda.ru/api/recurring-campaigns?page=1"
    }
}
GET https://pushda.ru/api/recurring-campaigns/{recurring_campaign_id}
curl --request GET \
--url 'https://pushda.ru/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "name": "Example",
        "title": "Sample message",
        "description": "This is coming from the API.",
        "url": "https://example.com",
        "image_url": null,
        "settings": {
            "ttl": 2419200,
            "urgency": "normal",
            "is_silent": 0,
            "is_auto_hide": 0,
            "button_title_1": "",
            "button_url_1": "",
            "button_title_2": "",
            "button_url_2": "",
            "frequency": "daily,
            "time": 10:25,
        },
        "segment": "all",
        "is_enabled": true,
        "total_sent_push_notifications": 0,
        "total_displayed_push_notifications": 0,
        "total_clicked_push_notifications": 0,
        "total_closed_push_notifications": 0,
        "last_sent_datetime": null,
        "last_datetime": null,
        "datetime": "2026-06-25 15:35:31",
    }
}
POST https://pushda.ru/api/recurring-campaigns
Параметры Подробности Описание
website_id Обязательный Целое -
name Обязательный Строка -
title Обязательный Строка -
description Обязательный Строка -
url Необязательный Строка -
image Необязательный Файл -
button_title_1 Необязательный Строка -
button_url_1 Необязательный Строка -
button_title_2 Необязательный Строка -
button_url_2 Необязательный Строка -
is_silent Необязательный Логическое -
is_auto_hide Необязательный Логическое -
ttl Необязательный Строка Допустимые значения: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source Необязательный Строка -
utm_medium Необязательный Строка -
utm_campaign Необязательный Строка -
frequency Необязательный Строка Допустимые значения: daily, weekly, monthly
week_days Необязательный Строка Допустимые значения: 1, 2, 3, 4, 5, 6, 7 Доступно при: frequency = weekly
month_days Необязательный Строка Допустимые значения: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 Доступно при: frequency = monthly
time Необязательный Строка HH:II
is_enabled Необязательный Логическое -
curl --request POST \
--url 'https://pushda.ru/api/recurring-campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'frequency=daily' \
--form 'time=12:15' \
{
    "data": {
        "id": 1
    }
}
POST https://pushda.ru/api/recurring-campaigns/{recurring_campaign_id}
Параметры Подробности Описание
website_id Необязательный Целое -
name Необязательный Строка -
title Необязательный Строка -
description Необязательный Строка -
url Необязательный Строка -
image Необязательный Файл -
button_title_1 Необязательный Строка -
button_url_1 Необязательный Строка -
button_title_2 Необязательный Строка -
button_url_2 Необязательный Строка -
is_silent Необязательный Логическое -
is_auto_hide Необязательный Логическое -
ttl Необязательный Строка Допустимые значения: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source Необязательный Строка -
utm_medium Необязательный Строка -
utm_campaign Необязательный Строка -
frequency Необязательный Строка Допустимые значения: daily, weekly, monthly
week_days Необязательный Строка Допустимые значения: 1, 2, 3, 4, 5, 6, 7 Доступно при: frequency = weekly
month_days Необязательный Строка Допустимые значения: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 Доступно при: frequency = monthly
time Необязательный Строка HH:II
is_enabled Необязательный Логическое -
curl --request POST \
--url 'https://pushda.ru/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
    "data": {
        "id": 1
    }
}
DELETE https://pushda.ru/api/recurring-campaigns/{recurring_campaign_id}
curl --request DELETE \
--url 'https://pushda.ru/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \